当我在 vue.js 中运行 npm 时,错误接口 “noderequire” 不能同时扩展类型 “require”

共1个回答, 标签: typescript vue.js webpack
C:/phpStudy2018/phpturation/WWW/Tms.Web/node _ modules/@ types/node/globals.d.ts (139,11) 中的错误:
139: 11 接口 'noderequire' 不能同时扩展类型 '要求' 和 '要求功能'。
类型 “require” 和 “requirefunction” 的命名属性 “cache” 不相同。
137 |
138 |//向后可压缩
> 139 | 接口 NodeRequire 扩展 NodeJS.Require {}
| ^
140 | 接口 RequireResolve 扩展 NodeJS.RequireResolve {}
141 | 接口 NodeModule 扩展 NodeJS.Module {}
142 |

C:/phpStudy2018/phpturation/WWW/Tms.Web/node _ modules/@ types/node/globals.d.ts 中的错误

C:/phpStudy2018/phpturation/WWW/Tms.Web/node _ modules/@ types/node/globals.d.ts (139,11) 中的错误:

我的环境是 vue.js 打字稿。我不知道我的配置或第三方包是否有任何问题,你能给我一些有用的建议吗?谢谢

第1个答案
    I had same problem.

@ Types/node 的版本是 13.1.0 在周一公布,2019 年 12 月 23 日 16:40:55 格林尼治标准时间

在我的情况下,当我使用以前的版本 12.12.22 时,它正在工作

npm install --save-dev @types/node@12.12.22

相关问题

在类实例中跟踪状态 如何解决: “找不到规则 '@ typescript-eslint/一致类型断言' 的定义” 如何将月份值从一个日期对象复制到另一个日期对象?[复制] 如何在不添加历史记录的情况下推送到 vue 路由器? 找不到模块 “。/src/数据” 与 vue-cli 创建可以管理外部数据的抽象组件 类型错误: clean webpackplugin 不是构造函数 Postcss-svgo: TypeError: 无法设置未定义 (盖茨比) 的属性 “multiscont” Webpack 文件加载器输出 [目标模块]